Package de.gebit.integrity.dsl

## Interface ConstantDefinition

- All Superinterfaces:
    `org.eclipse.emf.ecore.EObject`, `org.eclipse.emf.common.notify.Notifier`, `PackageStatement`, `SuiteStatement`
  All Known Implementing Classes:
    `ConstantDefinitionImpl`

      public interface ConstantDefinition
      extends PackageStatement, SuiteStatement

  A representation of the model object 'Constant Definition'.

  The following features are supported:

  - `Documentation`
  - `Private`
  - `Name`
  - `Value`
  - `Variant Values`
  - `Parameterized`
  See Also:
    `DslPackage.getConstantDefinition()`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `DocumentationComment` | `getDocumentation()` | Returns the value of the 'Documentation' containment reference.
    `ConstantEntity` | `getName()` | Returns the value of the 'Name' containment reference.
    `String` | `getParameterized()` | Returns the value of the 'Parameterized' attribute.
    `String` | `getPrivate()` | Returns the value of the 'Private' attribute.
    `ValueOrEnumValueOrOperationCollection` | `getValue()` | Returns the value of the 'Value' containment reference.
    `org.eclipse.emf.common.util.EList<VariantValue>` | `getVariantValues()` | Returns the value of the 'Variant Values' containment reference list.
    `void` | `setDocumentation​(DocumentationComment value)` | Sets the value of the '`Documentation`' containment reference.
    `void` | `setName​(ConstantEntity value)` | Sets the value of the '`Name`' containment reference.
    `void` | `setParameterized​(String value)` | Sets the value of the '`Parameterized`' attribute.
    `void` | `setPrivate​(String value)` | Sets the value of the '`Private`' attribute.
    `void` | `setValue​(ValueOrEnumValueOrOperationCollection value)` | Sets the value of the '`Value`' containment reference.

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Method Detail

    - #### getDocumentation

          DocumentationComment getDocumentation()

      Returns the value of the 'Documentation' containment reference.
      Returns:
        the value of the 'Documentation' containment reference.
      See Also:
        `setDocumentation(DocumentationComment)`, `DslPackage.getConstantDefinition_Documentation()`

    - #### setDocumentation

          void setDocumentation​(DocumentationComment value)

      Sets the value of the '`Documentation`' containment reference.
      Parameters:
        `value` - the new value of the 'Documentation' containment reference.
      See Also:
        `getDocumentation()`

    - #### getPrivate

          String getPrivate()

      Returns the value of the 'Private' attribute.
      Returns:
        the value of the 'Private' attribute.
      See Also:
        `setPrivate(String)`, `DslPackage.getConstantDefinition_Private()`

    - #### setPrivate

          void setPrivate​(String value)

      Sets the value of the '`Private`' attribute.
      Parameters:
        `value` - the new value of the 'Private' attribute.
      See Also:
        `getPrivate()`

    - #### getName

          ConstantEntity getName()

      Returns the value of the 'Name' containment reference.
      Returns:
        the value of the 'Name' containment reference.
      See Also:
        `setName(ConstantEntity)`, `DslPackage.getConstantDefinition_Name()`

    - #### setName

          void setName​(ConstantEntity value)

      Sets the value of the '`Name`' containment reference.
      Parameters:
        `value` - the new value of the 'Name' containment reference.
      See Also:
        `getName()`

    - #### getValue

          ValueOrEnumValueOrOperationCollection getValue()

      Returns the value of the 'Value' containment reference.
      Returns:
        the value of the 'Value' containment reference.
      See Also:
        `setValue(ValueOrEnumValueOrOperationCollection)`, `DslPackage.getConstantDefinition_Value()`

    - #### setValue

          void setValue​(ValueOrEnumValueOrOperationCollection value)

      Sets the value of the '`Value`' containment reference.
      Parameters:
        `value` - the new value of the 'Value' containment reference.
      See Also:
        `getValue()`

    - #### getVariantValues

          org.eclipse.emf.common.util.EList<VariantValue> getVariantValues()

      Returns the value of the 'Variant Values' containment reference list. The list contents are of type `VariantValue`.
      Returns:
        the value of the 'Variant Values' containment reference list.
      See Also:
        `DslPackage.getConstantDefinition_VariantValues()`

    - #### getParameterized

          String getParameterized()

      Returns the value of the 'Parameterized' attribute.
      Returns:
        the value of the 'Parameterized' attribute.
      See Also:
        `setParameterized(String)`, `DslPackage.getConstantDefinition_Parameterized()`

    - #### setParameterized

          void setParameterized​(String value)

      Sets the value of the '`Parameterized`' attribute.
      Parameters:
        `value` - the new value of the 'Parameterized' attribute.
      See Also:
        `getParameterized()`